/**
 * Sends crash reports as state is updated and listeners are notified.
 */
export const crashReporter = store => next => action => {
  try {
    return next(action)
  } catch (err) {
    console.error('Caught an exception!', err)
    console.error('TODO: Report to bug tracker.')
    //Raven.captureException(err, {
    //  extra: {
    //    action,
    //    state: store.getState()
    //  }
    //})
    throw err
  }
}
